sc::OneBodyDerivIntV3(3)

NAME
sc::OneBodyDerivIntV3 - This implements one body derivative integrals in the IntV3 library.

SYNOPSIS

#include <obintv3.h>

Inherits sc::OneBodyDerivInt.

  Public Methods
OneBodyDerivIntV3 (Integral *, const Ref< GaussianBasisSet > &, const Ref< GaussianBasisSet > &, IntegralFunction)
~OneBodyDerivIntV3 ()
void compute_shell (int, int, DerivCenters &)
void compute_shell (int, int, int)

  Protected Types
typedef void(Int1eV3::* IntegralFunction )(int, int, int, int)

  Protected Attributes
Ref< Int1eV3 > int1ev3_
IntegralFunction intfunc_

DETAILED DESCRIPTION

This implements one body derivative integrals in the IntV3 library.

It is given a function pointer to the Int1eV3 member that computes the particular integral of interest.

AUTHOR

Generated automatically by Doxygen for MPQC from the source code.